package com.casic.dcms.bean;

import java.util.List;

public class HighEventBean {
    private double code;
    private String message;
    private boolean success;
    private List<DataBean> data;

    public double getCode() {
        return code;
    }

    public void setCode(double code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * caseMajorType : 其他事件
         * caseNum : 8
         * caseSubType : 违规高空悬吊作业
         * caseType : 其他事件/违规高空悬吊作业
         * eorc : 事件
         */

        private String caseMajorType;
        private String caseNum;
        private String caseSubType;
        private String caseType;
        private String eorc;

        public String getCaseMajorType() {
            return caseMajorType;
        }

        public void setCaseMajorType(String caseMajorType) {
            this.caseMajorType = caseMajorType;
        }

        public String getCaseNum() {
            return caseNum;
        }

        public void setCaseNum(String caseNum) {
            this.caseNum = caseNum;
        }

        public String getCaseSubType() {
            return caseSubType;
        }

        public void setCaseSubType(String caseSubType) {
            this.caseSubType = caseSubType;
        }

        public String getCaseType() {
            return caseType;
        }

        public void setCaseType(String caseType) {
            this.caseType = caseType;
        }

        public String getEorc() {
            return eorc;
        }

        public void setEorc(String eorc) {
            this.eorc = eorc;
        }
    }
}
